@echo off
if "%1"=="-clean" goto del_files
jsc tempFile.js
jsc simpleException.js
jsc reThrow.js
jsc reThrow2.js
jsc exceptHierarchy.js
jsc discrimExcept.js
goto end
:del_files
echo Removing intermediate files...
if exist tempFile.exe del /q tempFile.exe
if exist simpleException.exe del /q simpleException.exe
if exist reThrow.exe del /q reThrow.exe
if exist reThrow2.exe del /q reThrow2.exe
if exist exceptHierarchy.exe del /q exceptHierarchy.exe
if exist discrimExcept.exe del /q discrimExcept.exe
echo Command completed.
:end
